Bug 1122831 - [ovirt-guest-agent] [SLES] ovirt GA is not set to autostart
Summary: [ovirt-guest-agent] [SLES] ovirt GA is not set to autostart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-guest-agent
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 07:51 UTC by Jiri Belka
Modified: 2016-02-10 19:47 UTC (History)
7 users (show)

Fixed In Version: ovirt-guest-agent-1.0.10-4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:34:09 UTC
oVirt Team: Virt


Attachments (Terms of Use)

Description Jiri Belka 2014-07-24 07:51:12 UTC
Description of problem:

ovirt GA is not set to autostart.

~~~
# zypper install ovirt-guest-agent-common
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
  ovirt-guest-agent-common 

The following package is not supported by its vendor:
  ovirt-guest-agent-common 

1 new package to install.
Overall download size: 45.0 KiB. After the operation, additional 108.0 KiB will be used.
Continue? [y/n/?] (y): y
Installing: ovirt-guest-agent-common-1.0.10-3.1 [done]
# chkconfig --list | grep ovirt
ovirt-guest-agent         0:off  1:off  2:off  3:off  4:off  5:off  6:off
~~~

debug from manual rpm installation...

~~~
D:   install: %post(ovirt-guest-agent-common-1.0.10-3.1.noarch) asynchronous scriptlet start
D:   install: %post(ovirt-guest-agent-common-1.0.10-3.1.noarch) execv(/bin/sh) pid 16989
+ /sbin/udevadm trigger --subsystem-match=virtio-ports --attr-match=name=com.redhat.rhevm.vdsm
+ test -n ''
+ FIRST_ARG=1
+ FORCE_YES=0
+ set -- ovirt-guest-agent
+ PNAME=ovirt-guest-agent
+ INSSRV_ARRAY=
+ '[' 1 -gt 0 ']'
+ SCRIPTNAME=ovirt-guest-agent
+ shift
+ SV_B='^### BEGIN INIT INFO'
+ SV_E='^### END INIT INFO'
+ SV_KW=Default-Enabled
++ sed -n -e '/^### BEGIN INIT INFO/,/^### END INIT INFO/{/^# [^[:space:]]*Default-Enabled:[[:space:]]*\([^[:space:]]*\).*/s//\1/p;}'
+ SV_VALUE=
+ test 0 = 1
+ test -n ''
+ SV_VALUE=no
+ INSSRV_ARRAY=' ovirt-guest-agent no'
+ '[' 0 -gt 0 ']'
+ TEMPLATE_DIR=var/adm/fillup-templates
+ SYSC_TEMPLATE=var/adm/fillup-templates/sysconfig.ovirt-guest-agent
+ SD_NAME=
+ '[' -x bin/fillup ']'
+ '[' -f var/adm/fillup-templates/sysconfig.ovirt-guest-agent ']'
+ set -- ovirt-guest-agent no
+ '[' 2 -gt 0 ']'
+ SCRIPTNAME=ovirt-guest-agent
+ SV_VALUE=no
+ shift 2
+ test -n ovirt-guest-agent -a -n no
+ test 1 = 1 -a no = no
+ sbin/insserv -r etc/init.d/ovirt-guest-agent
+ '[' 0 -gt 0 ']'
+ exit 0
D:   install: waitpid(16989) rc 16989 status 0 secs 0.023
~~~


Version-Release number of selected component (if applicable):
ovirt-guest-agent-common-1.0.10-3.1

How reproducible:
100%

Steps to Reproduce:
1. install
2. chkconfig --list | grep ovirt
3.

Actual results:
not autostarted

Expected results:
should be autostart as this is soooo important app :)

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1043471

Comment 1 Jiri Belka 2014-08-08 08:29:49 UTC
ok, ovirt-guest-agent-common-1.0.10-4.1

# chkconfig --list | grep ovirt ; rpm -q ovirt-guest-agent-common
ovirt-guest-agent         0:off  1:off  2:off  3:on   4:off  5:on   6:off
ovirt-guest-agent-common-1.0.10-4.1

(Repairing Fixed in Version, 10.0.10-2.1 is clearly nonsense as it is older that the one reported having the issue.)

Comment 2 Sandro Bonazzola 2014-10-17 12:34:09 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.